Bug 2165612 - IPP-USB as a weak dependency of CUPS and sane-airscan
Summary: IPP-USB as a weak dependency of CUPS and sane-airscan
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38Changes
TreeView+ depends on / blocked
 
Reported: 2023-01-30 15:00 UTC by Ben Cotton
Modified: 2023-04-18 14:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-18 14:06:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Ben Cotton 2023-01-30 15:00:21 UTC
This is a tracking bug for Change: IPP-USB as a weak dependency of CUPS and sane-airscan
For more details, see: https://fedoraproject.org/wiki/Changes/IPPUSBasPrintScanDependency

Add ipp-usb as a weak dependency of packages which provide support for driverless printing (cups), driverless scanning (sane-airscan) and driverless fax for USB devices capable of using driverless functionality (how to find out whether your USB device is driverless here), so such devices will work without a specific driver. ipp-usb design conflicts with the way how drivers work with the device, so a user intervention is required after upgrade.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Zdenek Dohnal 2023-02-02 16:46:05 UTC
The manual how to migrate is available at https://docs.fedoraproject.org/en-US/quick-docs/cups-known-issues/#_golang_github_openprinting_ipp_usb .

CUPS with the weak dependency is built as:

https://koji.fedoraproject.org/koji/taskinfo?taskID=97010807

sane-airscan with the weak dependency is built as:

https://koji.fedoraproject.org/koji/taskinfo?taskID=97011543


Note You need to log in before you can comment on or make changes to this bug.